--- apps/app_system.c.orig	2009-01-13 03:00:10.000000000 -0500
+++ apps/app_system.c	2009-01-13 03:13:01.000000000 -0500
@@ -71,6 +71,22 @@
 
 	ast_autoservice_start(chan);
 
+	/* Get rid of the '\' in front of any ';'s */
+
+	char *l, *r, *p;
+	l = r = (char *)data;
+	while ((p = strstr(r, "\\;"))) {
+	  l = p;
+	  r = p + 1;
+	  if ((p = strstr(r, "\\;"))) {
+	    memcpy(l, r, p-r);
+	    l += p-r;
+	    r = p + 1;
+	  } else
+	    break;
+	}
+	if (l != r) strcpy(l, r);
+
 	/* Do our thing here */
 	res = ast_safe_system((char *)data);
 	if ((res < 0) && (errno != ECHILD)) {
